Package org.springframework.cache.interceptor

# Class BeanFactoryCacheOperationSourceAdvisor

java.lang.Object
org.springframework.aop.support.AbstractPointcutAdvisor
org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
org.springframework.cache.interceptor.BeanFactoryCacheOperationSourceAdvisor

All Implemented Interfaces:
  `Serializable`, `org.springframework.aop.Advisor`, `org.springframework.aop.PointcutAdvisor`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.core.Ordered`

public class BeanFactoryCacheOperationSourceAdvisor extends org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
Advisor driven by a `CacheOperationSource`, used to include a cache advice bean for methods that are cacheable.

Since:
  3.1
Author:
  Costin Leau, Juergen Hoeller
See Also:
  - `AbstractBeanFactoryPointcutAdvisor.setAdviceBeanName(java.lang.String)`
  - `CacheInterceptor`
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`BeanFactoryCacheOperationSourceAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.aop.Pointcut`
`getPointcut()`
`void`
`setCacheOperationSource(CacheOperationSource cacheOperationSource)`
Set the cache operation attribute source which is used to find cache attributes.
`void`
`setClassFilter(org.springframework.aop.ClassFilter classFilter)`
Set the `ClassFilter` to use for this pointcut.

### Methods inherited from class org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor

`getAdvice, getAdviceBeanName, setAdvice, setAdviceBeanName, setBeanFactory, toString`

### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

`equals, getOrder, hashCode, setOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

## Constructor Details

### BeanFactoryCacheOperationSourceAdvisor

public BeanFactoryCacheOperationSourceAdvisor()

## Method Details

### setCacheOperationSource

public void setCacheOperationSource(CacheOperationSource cacheOperationSource)
Set the cache operation attribute source which is used to find cache attributes. This should usually be identical to the source reference set on the cache interceptor itself.

See Also:
  - `CacheAspectSupport.setCacheOperationSource(org.springframework.cache.interceptor.CacheOperationSource)`

### setClassFilter

public void setClassFilter(org.springframework.aop.ClassFilter classFilter)
Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

### getPointcut

public org.springframework.aop.Pointcut getPointcut()